package com.liangjian.dataplatform.member.entity.po.primary;

import com.liangjian.dataplatform.member.entity.po.BasicEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;

/**
 * @Author: 黄子奇
 * @Date: 2019/10/21
 */
@Entity
@Table(name = "sql_entity")
@ApiModel("Sql配置对象")
public class SqlEntity extends BasicEntity {
    @ApiModelProperty("sql描述")
    private String description;

    @ApiModelProperty("sql")
    @Column(name = "sql_text",columnDefinition = "TEXT")
    private String sql;

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getSql() {
        return sql;
    }

    public void setSql(String sql) {
        this.sql = sql;
    }
}
